// TestChartWndInMFCView.h : interface of the CTestChartWndInMFCView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TESTCHARTWNDINMFCVIEW_H__E53D0C16_E3DE_4E09_AF3F_BEBF23F8EE97__INCLUDED_)
#define AFX_TESTCHARTWNDINMFCVIEW_H__E53D0C16_E3DE_4E09_AF3F_BEBF23F8EE97__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../SourceAPI/Plot/PlotInterface.h"								////
#ifdef _DEBUG																////
#pragma comment(lib,"..\\SourceAPI\\Debug\\Plotd.lib")						////
#else																		////
#pragma comment(lib,"..\\SourceAPI\\Release\\Plot.lib")						////
#endif

class CTestChartWndInMFCView : public CView
{
protected: // create from serialization only
	CTestChartWndInMFCView();
	DECLARE_DYNCREATE(CTestChartWndInMFCView)

// Attributes
public:
	CTestChartWndInMFCDoc* GetDocument();

// Operations
public:
	CChartWnd m_ChartWnd;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestChartWndInMFCView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTestChartWndInMFCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTestChartWndInMFCView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TestChartWndInMFCView.cpp
inline CTestChartWndInMFCDoc* CTestChartWndInMFCView::GetDocument()
   { return (CTestChartWndInMFCDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTCHARTWNDINMFCVIEW_H__E53D0C16_E3DE_4E09_AF3F_BEBF23F8EE97__INCLUDED_)
